> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 고객 정보 등록 API

> 고객 정보를 스텝커버에 등록할 때 사용합니다.



## OpenAPI

````yaml /steppay_v1.json post /api/v1/cover/customer
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/cover/customer:
    post:
      tags:
        - 커버 API
      summary: 고객 정보 등록 API
      description: 고객 정보를 스텝커버에 등록할 때 사용합니다.
      operationId: v1_createCustomer_1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerRequest'
        required: true
      responses:
        '201':
          description: 고객 정보가 정상적으로 등록됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CreateCustomerResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
components:
  schemas:
    CreateCustomerRequest:
      title: 고객 생성 데이터
      required:
        - email
        - name
        - partnerCustomerId
        - phone
        - replaceIfExists
      type: object
      properties:
        name:
          type: string
          description: 고객 이름
        email:
          type: string
          description: 고객 email
        phone:
          type: string
          description: 고객 전화번호
        replaceIfExists:
          type: boolean
          description: >-
            partnerCustomerId가 이미 존재할 때 replaceIfExists가 true 이면 값을 수정하고, false
            이면 exception 이 발생합니다.
        partnerCustomerId:
          type: string
          description: 가맹점에서 사용하는 고객의 unique ID
      description: 고객 정보 등록 데이터
    CreateCustomerResponse:
      required:
        - email
        - id
        - name
        - partnerCustomerId
        - phone
      type: object
      properties:
        id:
          type: integer
          description: 고객 ID - 다른 API 호출에 사용되므로 해당 고객 정보와 함께 저장해놓고 사용하세요.
          format: int64
        name:
          type: string
          description: 고객 이름
        email:
          type: string
          description: 고객 email
        phone:
          type: string
          description: 고객 전화번호
        partnerCustomerId:
          type: string
          description: 가맹점에서 사용하는 고객의 unique ID
    CoverErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````